## STATIC CONFIGURATION
log:
  level: INFO
  filePath: /opt/traefik/logs/system.log
  format: json
accessLog:
  filePath: "/opt/traefik/logs/access.log"

serversTransport:
  insecureSkipVerify: true

# api:
#   insecure: true
#   dashboard: false

entryPoints:
  web:
    address: ":80"
  websecure:
    address: ":443"
    transport:
      respondingTimeouts:
        readTimeout: 600s
        idleTimeout: 600s
        writeTimeout: 600s

providers:
  docker:
    endpoint: "unix:///var/run/docker.sock"
    exposedByDefault: false

certificatesResolvers:
  letsencr:
    acme:
      storage: '/etc/letsencrypt/acme.json'
      email: stokogsten@gmail.com
      httpChallenge:
        entryPoint: web
